Package: org.grails.gsp.compiler

## [Java] Class GSPWriter

- org.grails.gsp.compiler.GSPWriter

- A PrintWriter used in the generation of GSP pages that allows printing to the target output stream and maintains a record of the current line number during usage.

  Authors:
    Graeme Rocher

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GSPWriter (java.io.Writer out, GroovyPageParser parse)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getCurrentLineNumber()`
    `` | `int[]` | `getLineNumbers()`
    `` | `void` | `println()`
    `` | `void` | `printlnToBuffer(java.lang.String s, int index)`
    `` | `void` | `printlnToResponse(java.lang.String s)`
    `` | `void` | `printlnToResponse(java.lang.String outVarName, java.lang.String s)`
    `` | `void` | `write(char[] buf, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.io.PrintWriter` | `java.io.PrintWriter#println(double), java.io.PrintWriter#println([C), java.io.PrintWriter#println(float), java.io.PrintWriter#println(java.lang.String), java.io.PrintWriter#println(java.lang.Object), java.io.PrintWriter#println(int), java.io.PrintWriter#println(char), java.io.PrintWriter#println(boolean), java.io.PrintWriter#println(), java.io.PrintWriter#println(long), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#write([C, int, int), java.io.PrintWriter#write(java.lang.String, int, int), java.io.PrintWriter#write([C), java.io.PrintWriter#write(int), java.io.PrintWriter#write(java.lang.String), java.io.PrintWriter#print(float), java.io.PrintWriter#print(long), java.io.PrintWriter#print(int), java.io.PrintWriter#print(char), java.io.PrintWriter#print(boolean), java.io.PrintWriter#print(java.lang.Object), java.io.PrintWriter#print(java.lang.String), java.io.PrintWriter#print([C), java.io.PrintWriter#print(double), java.io.PrintWriter#flush(), java.io.PrintWriter#close(), java.io.PrintWriter#checkError(), java.io.PrintWriter#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#wait(long, int), java.io.PrintWriter#wait(long), java.io.PrintWriter#wait(), java.io.PrintWriter#equals(java.lang.Object), java.io.PrintWriter#toString(), java.io.PrintWriter#hashCode(), java.io.PrintWriter#getClass(), java.io.PrintWriter#notify(), java.io.PrintWriter#notifyAll()`
    `class java.io.Writer` | `java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()`

- - ### Constructor Detail

    - #### public GSPWriter(java.io.Writer out, GroovyPageParser parse)

  - ### Method Detail

    - #### public int getCurrentLineNumber()

    - #### public int[] getLineNumbers()

    - #### @java.lang.Override public void println()

    - #### public void printlnToBuffer(java.lang.String s, int index)

    - #### public void printlnToResponse(java.lang.String s)

    - #### public void printlnToResponse(java.lang.String outVarName, java.lang.String s)

    - #### @java.lang.Override public void write(char[] buf, int off, int len)